nix (2.26.3+dfsg-1ubuntu4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:09:03 +0200

nix (2.26.3+dfsg-1ubuntu3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:58:38 +0200

nix (2.26.3+dfsg-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 16:12:53 +0200

nix (2.26.3+dfsg-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/control: disable tests requiring internet access.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 21 May 2025 18:58:21 +0100

nix (2.26.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian: Excluded file renamed to install-nix-from-tarball.sh
  * d/patches: Update patches for 2.26.3 and meson
  * debian: Convert to meson build
  * d/control: nix >= 2.25 depends on libgit2 >= 1.9
  * d/control: Add cmake build-dep (used to locate toml11)
  * debian: Disabled unit tests and drop some related build-deps
  * d/control Add new boost module build dependencies
  * d/control: Add rsync build-dep
  * d/*.install: Update install paths for meson build
  * d/control: Standards-Version: 4.7.0 => 4.7.2

 -- Jordan Justen <jljusten@debian.org>  Wed, 09 Apr 2025 14:11:08 -0700

nix (2.24.12+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: nix no longer vendor bundles toml11
  * d/patches: Rebase patches for 2.24.12
  * d/patches: Define HAVE_LOWDOWN_1_4 when found (Closes: #1098411)

 -- Jordan Justen <jljusten@debian.org>  Wed, 05 Mar 2025 09:45:48 -0800

nix (2.24.9+dfsg-2ubuntu2) plucky; urgency=medium

  * No-change rebuild against libgit2 1.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 22 Feb 2025 00:15:10 -0600

nix (2.24.9+dfsg-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2091907). Remaining changes:
    - d/t/control: disable tests requiring internet access.
  * Dropped changes, included in Debian:
    - Rebuild for libcpuid17.
      + d/control: add libunistring-dev and libgpg-error-dev
        dependency.
  * Dropped changes, no longer needed:
    - d/control: add libssh-dev dependency.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Mon, 16 Dec 2024 20:53:07 -0300

nix (2.24.9+dfsg-2) unstable; urgency=medium

  * d/control: Depend on ca-certificates (Closes: #1084999)

 -- Jordan Justen <jljusten@debian.org>  Mon, 28 Oct 2024 15:42:27 -0700

nix (2.24.9+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Jordan Justen <jljusten@debian.org>  Fri, 11 Oct 2024 09:24:23 -0700

nix (2.24.8+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1082847)
  * d/patches: Rebase patches for 2.24.8
  * d/rules: Define testresults env-var
  * d/control: Change build-dep from pkg-config to pkgconf
  * d/patches: Add patch to fix various spelling typos
  * debian: Run wrap-and-sort
  * d/source: Drop lintian unused-override:
    orig-tarball-missing-upstream-signature

 -- Jordan Justen <jljusten@debian.org>  Sat, 28 Sep 2024 16:07:25 -0700

nix (2.23.3+dfsg-2) unstable; urgency=medium

  * d/control: Add build-dep libunistring-dev (Closes: #1077520)
  * d/control: Update Standards-Version to 4.7.0
  * c/control: Add build-dep dh-sequence-movetousr (Closes: #1073604)
  * d/control: Add build-dep libgpg-error-dev

 -- Jordan Justen <jljusten@debian.org>  Fri, 09 Aug 2024 13:18:43 -0700

nix (2.23.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for 2.23.3
  * d/patches: Fix FTBFS with toml11 4.* (Closes: #1074693)
  * d/control: Add additional libng* build depends

 -- Jordan Justen <jljusten@debian.org>  Wed, 17 Jul 2024 10:07:45 -0700

nix (2.22.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * 2.19.0 and newer contains the two cherry-picked patches that
    Santiago Vila recommended. (Closes: #1070857)
  * d/nix-setup-systemd: Drop outdated lintian override
    (package-supports-alternative-init-but-no-init.d-script)
  * d/watch: Update url to find older archives
  * d/copyright: Drop exclusion of tests/lang/eval-okay-fromjson.*
  * d/patches: Rebase patches for 2.22.1
  * d/control: Add libgit2 dependency
  * d/rules: Add readline-flavor=readline to configure flags
  * d/control: Add git to Build-Depends (used by tests)

 -- Jordan Justen <jljusten@debian.org>  Wed, 05 Jun 2024 00:50:36 -0700

nix (2.18.1+dfsg-1ubuntu6) plucky; urgency=medium

  * Rebuild for libcpuid17.
    - d/control: add libunistring-dev and libgpg-error-dev dependency.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 16 Dec 2024 17:26:44 +0000

nix (2.18.1+dfsg-1ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:07:02 +1100

nix (2.18.1+dfsg-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:12:17 +0000

nix (2.18.1+dfsg-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:10:21 +0000

nix (2.18.1+dfsg-1ubuntu2) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:53:03 +0100

nix (2.18.1+dfsg-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: add libssh-dev dependency.
    - d/t/control: disable tests requiring internet access.

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 27 Nov 2023 15:31:23 +0000

nix (2.18.1+dfsg-1) unstable; urgency=medium

  [ Jordan Justen ]
  * New upstream release

  [ Vladimir Petko ]
  * d/tests/control: Add autopkgtests needs-internet/flaky for 2 cases (Closes: #1053732)

 -- Jordan Justen <jljusten@debian.org>  Tue, 17 Oct 2023 09:54:47 -0700

nix (2.17.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for upstream 2.17.1
  * debian: Use bash-static for nix sandbox-shell
  * nix.conf: Add archived alternate url for inaccesible github link
  * d/nix.install.files/nix.conf: Enable sandbox mode by default
  * d/nix.install.files/nix.conf: Update manual url in comment
  * d/patches: Update patch that fixed #1041876 to be cleaner
  * d/patches: Add patches to allow static bash to be used in sandbox
  * d/patches: Update makefiles to clean build products (Closes: #1049178)

 -- Jordan Justen <jljusten@debian.org>  Thu, 12 Oct 2023 23:37:22 -0700

nix (2.16.1+dfsg-3ubuntu1) mantic; urgency=medium

  * d/control: add libssh-dev dependency (LP: #2037314).
  * d/t/control: disable tests requiring internet access.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 04 Oct 2023 15:33:09 +1300

nix (2.16.1+dfsg-3) unstable; urgency=medium

  [ Jordan Justen ]
  * Release to unstable

  [ Adrian Bunk ]
  * Use -g1 to work around mipsel address space limitation

 -- Jordan Justen <jljusten@debian.org>  Mon, 07 Aug 2023 02:29:40 -0700

nix (2.16.1+dfsg-2) unstable; urgency=medium

  * d/patches: Fix build error for !amd64 (Closes: #1041876)

 -- Jordan Justen <jljusten@debian.org>  Sat, 29 Jul 2023 01:41:24 -0700

nix (2.16.1+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1037790)
  * d/control: Assign Jordan Justen as Maintainer (Closes: #1019013)
  * d/watch: Scan github for new tags and tarballs
  * d/patches: Rebase patches for 2.16.1
  * d/control: Add librapidcheck-dev build-dep
  * d/rules: Drop quotes around EDITLINE_CFLAGS/EDITLINE_LIBS definition
  * d/rules: configure with --disable-shared to link to librapidcheck
  * d/control: Add new build dependencies for 2.16.1
  * d/*install: Update dh_install configuration for 2.16.1
  * d/copyright: Strip files from github tag based tarball
  * d/source/options: Ignore files stripped from tarball
  * d/patches: Don't use bundled toml11 (Closes: #1005879, #1005880)
  * d/watch, d/changelog: Add dfsg suffix back
  * d/control: Drop lsb-base dependency (lintian depends-on-obsolete-package)
  * d/control: Update Standards-Version to 4.6.2
  * d/nix-bin.lintian-overrides: Drop `nam` spelling-error-in-binary no longer flagged
  * d/nix-bin.lintian-overrides: Update spare-manual-page override format

 -- Jordan Justen <jljusten@debian.org>  Mon, 24 Jul 2023 01:12:23 -0700

nix (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop the +dfsg suffix as upstream is not releasing tarballs anymore
    anyways.

 -- Thomas Koch <thomas@koch.ro>  Mon, 02 May 2022 21:56:22 +0300

nix (2.7.0+dfsg-5) unstable; urgency=medium

  * also restrict nix-env autopkgtest to supported platforms

 -- Thomas Koch <thomas@koch.ro>  Sun, 27 Mar 2022 11:28:41 +0300

nix (2.7.0+dfsg-4) unstable; urgency=medium

  * restrict shell autopkgtest to supported platforms

 -- Thomas Koch <thomas@koch.ro>  Sat, 26 Mar 2022 10:13:19 +0200

nix (2.7.0+dfsg-3) unstable; urgency=medium

  * Trying to fix autopkgtest, take 2

 -- Thomas Koch <thomas@koch.ro>  Fri, 25 Mar 2022 17:02:03 +0200

nix (2.7.0+dfsg-2) unstable; urgency=medium

  * Trying to fix autopkgtest, take 1

 -- Thomas Koch <thomas@koch.ro>  Tue, 15 Mar 2022 20:34:06 +0200

nix (2.7.0+dfsg-1) unstable; urgency=medium

  * new upstream version
  * Add note to nix-bin.README.Debian to set up nix channel.
    Thanks to Matt Armstrong <matt@rfc20.org> for reporting.
    Closes: #1004113
  * fix: build path embedded in debug symbols                                                                                                                         =99% =99%
    This broke reproducible-builds. Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>
    Closes: #1006473

 -- Thomas Koch <thomas@koch.ro>  Sun, 13 Mar 2022 12:52:41 +0200

nix (2.6.0+dfsg-3) unstable; urgency=medium

  * Limit autopkgtest to supported architectures

 -- Thomas Koch <thomas@koch.ro>  Wed, 02 Feb 2022 11:15:42 +0200

nix (2.6.0+dfsg-2) unstable; urgency=medium

  * Only depend on libcpuid on architectures where it is available

 -- Thomas Koch <thomas@koch.ro>  Tue, 01 Feb 2022 20:29:24 +0200

nix (2.6.0+dfsg-1) unstable; urgency=medium

  * new upstream version
  * no manual included anymore, see #1004481

 -- Thomas Koch <thomas@koch.ro>  Sat, 29 Jan 2022 16:09:51 +0200

nix (2.3.10+dfsg1-1) unstable; urgency=medium

  * new upstream version
  * Fix different bin paths on usrmerge and non-usrmerge systems
    Thanks to Vagrant Cascadian. (Closes: #970874)
  * update Standards-Version 4.5.0->4.5.1, no changes

 -- Thomas Koch <thomas@koch.ro>  Fri, 26 Mar 2021 08:11:19 +0100

nix (2.3.7+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Do not set NIX_PROFILE anymore in user's environment.d, see
    https://salsa.debian.org/debian/nix/-/issues/13

 -- Thomas Koch <thomas@koch.ro>  Sun, 30 Aug 2020 16:58:27 +0200

nix (2.3.4+dfsg3-2) unstable; urgency=medium

  * Source only upload for testing migration
  * fix FTBFS on armel and mipsel (Closes: #961284)

 -- Thomas Koch <thomas@koch.ro>  Sat, 23 May 2020 21:13:28 +0200

nix (2.3.4+dfsg3-1) unstable; urgency=medium

  * Use nlohmann-json3-dev instead of bundled code

 -- Thomas Koch <thomas@koch.ro>  Thu, 21 May 2020 13:27:46 +0200

nix (2.3.4+dfsg2-2) unstable; urgency=medium

  * Change nix-setup-systemd architecture: any -> all

 -- Thomas Koch <thomas@koch.ro>  Sat, 16 May 2020 10:36:27 +0200

nix (2.3.4+dfsg2-1) unstable; urgency=medium

  * backport fix for "Remove callout graphics", see
    https://salsa.debian.org/debian/nix/-/issues/9

 -- Thomas Koch <thomas@koch.ro>  Sun, 03 May 2020 13:50:39 +0200

nix (2.3.4+dfsg1-1) unstable; urgency=medium

  * new upstream release, fixing many DFSG issues
  * update debian/watch
  * fixing new queue rejection reasons, see
    https://salsa.debian.org/debian/nix/issues/3
  * change upstream license: LGPL-2.1+ to LGPL-2.1
    see https://salsa.debian.org/debian/nix/-/issues/4
  * address copyright review issue with RFC example
    see https://salsa.debian.org/debian/nix/-/issues/5
  * address unclear copyrights of scripts/install*.sh
    see https://salsa.debian.org/debian/nix/-/issues/7

 -- Thomas Koch <thomas@koch.ro>  Sat, 02 May 2020 19:58:20 +0200

nix (2.3.3-1) unstable; urgency=medium

  * new upstream release
  * use debhelper-compat (= 12)
  * update Standards-Version
  * add Provides:nix to nix-setup-systemd

 -- Eelco Dolstra <thomas@koch.ro>  Sun, 23 Feb 2020 16:14:43 +0000

nix (2.3.2-1) unstable; urgency=medium

  * new upstream release

 -- Thomas Koch <thomas@koch.ro>  Wed, 15 Jan 2020 19:13:21 +0000

nix (2.3.1-3) unstable; urgency=medium

  * Eelco Dostra is the only author mentioned in the nix manual
  * better package descriptions

 -- Thomas Koch <thomas@koch.ro>  Sat, 28 Dec 2019 13:50:27 +0000

nix (2.3.1-2) unstable; urgency=medium

  [ Kai Harries ]
  * autopkgtest: add two tests

  [ Arthur Gautier ]
  * Fixup warnings

  [ Jordan Justen ]
  * d/watch: Support versions other than latest

  [ Thomas Koch ]
  * add forgotten ${misc:Depends}
  * add override for missing upstream signature
  * override for long line in nix-store manpage
  * update debian/copyright

 -- Thomas Koch <thomas@koch.ro>  Fri, 13 Dec 2019 11:35:17 +0000

nix (2.3.1-1) unstable; urgency=medium

  * new upstream version
  * update debian-standards-version (4.3.0->4.4.1.0) no changes needed
  * split into two binary packages

 -- Thomas Koch <thomas@koch.ro>  Sat, 26 Oct 2019 16:58:24 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog nix-bin`.
